%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-LWP-Protocol-PSGI
Version:       0.11
Release:       1mamba
Summary:       LWP::Protocol::PSGI - Override LWP's HTTP/HTTPS backend with your own
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/LWP/LWP-Protocol-PSGI-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Guard
BuildRequires: perl-Plack
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Module-Build-Tiny
Requires:      perl >= %perl_major_ver

%description
LWP::Protocol::PSGI - Override LWP's HTTP/HTTPS backend with your own.

%prep
%setup -q -n LWP-Protocol-PSGI-%{version}

%build
perl Build.PL installdirs=vendor
./Build
#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export PERL_INSTALL_ROOT=%{buildroot}
./Build install \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 0.08-1mamba
- automatic update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.07-1mamba
- package created using the webbuild interface
